<script>
    import Settings from "./controls/Settings.svelte"
    import Threshold from "./controls/Threshold.svelte"
    import Heatmap from "./heatmap/Heatmap.svelte"
    import Graph from "./graph/Graph.svelte"
    import DownloadLink from "./DownloadLink.svelte"

    import { associations } from "../common/associations"
</script>

<div class="flex flex-col mb-16">
    <main class="flex-grow">
        {#if $associations}
            <div class="flex flex-row justify-end print:hidden">
                <DownloadLink>
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 30 30" class="fill-donkerblauw h-6 w-6">
                        <path d="M25.5 19.1v6.8H4.5v-6.8H.5v8.9c0 1.1.9 2 2 2h25c1.1 0 2-.9 2-2v-8.9h-4zM14.6 18.4l-5.8-7s-.9-.8.1-.8h3.2V9.2V.5S12 0 12.8 0h4.6c.5 0 .5.4.5.4V10.4h3c1.2 0 .3.9.3.9s-4.9 6.5-5.6 7.2c-.5.5-1-.1-1-.1z"/>
                    </svg>
                </DownloadLink>
            </div>
            <div class="lg:flex lg:flex-row items-end print:hidden">
                <div class="lg:flex-1 my-2 mx-4 lg:mx-8">
                    <Settings/>
                </div>
                <div class="lg:flex-1 my-2 mx-4 lg:mx-8 print:hidden">
                    <Threshold/>
                </div>
            </div>
            <div class="lg:flex lg:flex-row">
                <div class="lg:flex-1 my-2 mx-4 lg:mx-8">
                    <Heatmap/>
                </div>
                <div class="lg:flex-1 my-2 mx-4 lg:mx-8">
                    <Graph/>
                </div>
            </div>
            <div class="flex justify-end items-center my-2 mx-4 lg:mx-8">
                <svg class="h-6 w-6 inline-block mr-2" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24">
                    <path class="fill-hemelblauw" d="M1 12C1 1 1 1 12 1C23 1 23 1 23 12C23 23 23 23 12 23C1 23 1 23 1 12"></path>
                    <line x1="12" y1="9" x2="12" y2="18" stroke-width="2.5" stroke="white"/>
                    <circle cx="12" cy="6" r="1.4" fill="white"/>
                </svg>
                Click chart to activate zoom (scroll) and pan (drag)
            </div>
        {/if}

    </main>
</div>